%define realname Catalyst-Plugin-Session-State-Cookie
%define abbrevname Catalyst-P-S-State-Cookie
%define name	perl-%{abbrevname}
%define	modprefix Catalyst

%define version	0.05
%define release	%mkrel 4

Summary:	Cookie-based session plugin for Catalyst
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockObject) >= 1.01
Provides:	perl-%{realname}
Obsoletes:	perl-%{realname}
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%description
In order for Catalyst::Plugin::Session to work the session ID needs to be
stored on the client, and the session data needs to be stored on the server.
This plugin stores the session ID on the client using the cookie mechanism.

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*

%clean
rm -rf %{buildroot}





%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-4mdv2009.0
+ Revision: 241163
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 85937
- rebuild


* Mon Aug 07 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-07 23:54:51 (54252)
- Version 0.05

* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 23:50:23 (53375)
- import perl-Catalyst-P-S-State-Cookie-0.04-1mdv2007.0

* Wed Aug 02 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
- First packaging after abbreviating perl-Catalyst-Session-State-Cookie
  (derived from perl-Catalyst-Session-State-Cookie-0.02-2mdk)

